# Optimove SDK iOS

[![GitHub release (latest by date)](https://img.shields.io/github/v/release/optimove-tech/Optimove-SDK-iOS?style=flat-square)](https://github.com/optimove-tech/Optimove-SDK-iOS/releases/latest)
[![CI](https://github.com/optimove-tech/Optimove-SDK-iOS/actions/workflows/main.yml/badge.svg)](https://github.com/optimove-tech/Optimove-SDK-iOS/actions/workflows/main.yml?query=branch%3Amaster)
![SwiftPM compatible](https://img.shields.io/badge/SwiftPM-compatible-success?style=flat-square)
![Cocoapods platforms](https://img.shields.io/cocoapods/p/OptimoveSDK?color=brightgreen&label=CocoaPods&style=flat-square)
[![Carthage compatible](https://img.shields.io/badge/Carthage-compatible-4BC51D.svg?style=flat-square)](https://github.com/Carthage/Carthage)
![GitHub](https://img.shields.io/github/license/optimove-tech/Optimove-SDK-iOS?style=flat-square)

The official Optimove iOS integration frameworks are an SDK for sending analytics to an Optimove server, such as:

- Track visitor and customer actions and events
- Trigger Realtime campaigns

More about Optimove CDP (customer data platform) at [optimove.com](https://www.optimove.com)

## Integration Guide

In this guide we will go through the following steps necessary to have the basic & advanced SDK integration ready to track events on your native application.

## Basic Setup

1. [Prerequisites](https://github.com/optimove-tech/Optimove-SDK-iOS/wiki/Prerequisites)
2. [Initializing the SDK](https://github.com/optimove-tech/Optimove-SDK-iOS/wiki/Initializing-the-SDK)
3. [Managing environments - during integration only](wiki/Managing-environments)
4. [Tracking screen visits](https://github.com/optimove-tech/Optimove-SDK-iOS/wiki/Tracking-screen-visits)
5. [Customer stitching prerequisite](https://github.com/optimove-tech/Optimove-SDK-iOS/wiki/Customer-stitching-prerequisite)
6. [Tracking customers](https://github.com/optimove-tech/Optimove-SDK-iOS/wiki/Tracking-customers)
7. [Submitting to the App Store](https://github.com/optimove-tech/Optimove-SDK-iOS/wiki/Submitting-to-the-App-Store)

## Advanced Setup

1. [Tracking custom events](https://github.com/optimove-tech/Optimove-SDK-iOS/wiki/Tracking-custom-events)
2. [Location and Beacons](https://github.com/optimove-tech/Optimove-SDK-iOS/wiki/Location-and-Beacons)

## Mobile Messaging

1. [Push Setup](https://github.com/optimove-tech/Optimove-SDK-iOS/wiki/push-setup)
2. [Push Advanced Features](https://github.com/optimove-tech/Optimove-SDK-iOS/wiki/push-advanced)
3. [In-App Messaging](https://github.com/optimove-tech/Optimove-SDK-iOS/wiki/in-app)
4. [Deferred Deep Linking](https://github.com/optimove-tech/Optimove-SDK-iOS/wiki/deferred-deep-linking)

> **NOTE**:
> To unlock these capabilities, you will need to have added the relevant OptiMobile channels to your Optimove package. If you can’t see this feature in your Optimove instance, contact your CSM to find out more.

## Migrations

1. [Migration from 3.x to 5.x](https://github.com/optimove-tech/Optimove-SDK-iOS/wiki/Migration-guide-from-3.x-to-5.x)
2. [Migration from 2.x to 3.x](https://github.com/optimove-tech/Optimove-SDK-iOS/wiki/Migration-guide-from-2.x-to-3.x)

## License

OptimoveSDK for iOS is available under the [MIT license](LICENSE).
